Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::TerrainBufferCache Class Reference

A cache of TerrainIndexBuffers. More...

`#include <OgreTerrainRenderable.h>`

List of all members.

## Public Methods

void | shutdown (void)
| ~TerrainBufferCache ()

## Public Attributes

IndexArray | mCache

## Detailed Description

A cache of TerrainIndexBuffers.

Used to keep track of the buffers, and delete them when the program finishes.

Definition at line 61 of file OgreTerrainRenderable.h.

## Constructor & Destructor Documentation

Ogre::TerrainBufferCache::~TerrainBufferCache | ( |  | ) |

| Definition at line 72 of file OgreTerrainRenderable.h. References shutdown().

## Member Function Documentation

void Ogre::TerrainBufferCache::shutdown | ( | void |  | ) |

| Definition at line 64 of file OgreTerrainRenderable.h. References mCache. Referenced by ~TerrainBufferCache().

## Member Data Documentation

IndexArray Ogre::TerrainBufferCache::mCache

| Definition at line 77 of file OgreTerrainRenderable.h. Referenced by Ogre::TerrainRenderable::generateTriListIndexes(), Ogre::TerrainRenderable::generateTriStripIndexes(), and shutdown().

The documentation for this class was generated from the following file:

- OgreTerrainRenderable.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:50:02 2004